Xerces2 Implementation: Class DOMMessageFormatter

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.dom
Class DOMMessageFormatter

    java.lang.Object
      |
      +--org.apache.xerces.dom.DOMMessageFormatter

public class DOMMessageFormatter
extends java.lang.Object

Used to format DOM error messages, using the system locale.

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Version:
  $Id: DOMMessageFormatter.java 449328 2006-09-23 22:58:23Z mrglavas $
Author:
  Sandy Gao, IBM

Field Summary
`static java.lang.String` | `DOM_DOMAIN`
`static java.lang.String` | `SERIALIZER_DOMAIN`
`static java.lang.String` | `XML_DOMAIN`

Method Summary
`static java.lang.String` | `formatMessage(java.lang.String domain, java.lang.String key, java.lang.Object[] arguments)` Formats a message with the specified arguments using the given locale information.
`static void` | `init()` Initialize Message Formatter.
`static void` | `setLocale(java.util.Locale dlocale)` Set Locale to be used by the formatter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DOM_DOMAIN

    public static final java.lang.String DOM_DOMAIN

### XML_DOMAIN

    public static final java.lang.String XML_DOMAIN

### SERIALIZER_DOMAIN

    public static final java.lang.String SERIALIZER_DOMAIN

Method Detail

### formatMessage

    public static java.lang.String formatMessage(java.lang.String domain,
                                                 java.lang.String key,
                                                 java.lang.Object[] arguments)
                                          throws java.util.MissingResourceException

  Formats a message with the specified arguments using the given locale information.
  Parameters:
    `domain` - domain from which error string is to come.
    `key` - The message key.
    `arguments` - The message replacement text arguments. The order of the arguments must match that of the placeholders in the actual message.
  Returns:
    the formatted message.
  Throws:
    `java.util.MissingResourceException` - Thrown if the message with the specified key cannot be found.

### init

    public static void init()

  Initialize Message Formatter.

### setLocale

    public static void setLocale(java.util.Locale dlocale)

  Set Locale to be used by the formatter.
  Parameters:
    `dlocale` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2007 The Apache Software Foundation. All Rights Reserved.